Fatal error: require once()

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page Fatal error: require once() and the translation is 100% complete.
Other languages:
English • ‎dansk • ‎español • ‎magyar • ‎occitan • ‎português do Brasil • ‎русский • ‎日本語

mediawiki 1.16 をインストールする際、以下のバグがある場合があります:

Warning: require_once(includes/Defines.php) [function.require-once]: failed to open stream: No such file or directory in /mnt/155/sdb/4/5/yoursite/Wiki1.16/config/index.php on line 42

Fatal error: require_once() [function.require]: Failed opening required 'includes/Defines.php' (include_path='/mnt/155/sdb/4/5/yoursite/include:.:/usr/php5/lib/php') in /mnt/155/sdb/4/5/yoursite/Wiki1.16/config/index.php on line 42

これは、あなたのサーバーが ini_set 関数を許可していないためです。

解決策

1.16 を使用する場合の唯一の解決策は: すべてのファイルについて以下の前者を後者に置換することです:

require( "..." );

require_once( "..." );

置換後:

require( "$IP/..." );

require_once( "$IP/..." );

以下の前者を後者に置換します:

require( "includes/Defines.php" );

require_once( "includes/Defines.php" );

置換後:

require( "$IP/includes/Defines.php" );

require_once( "$IP/includes/Defines.php" );